import java.util.ArrayList;
/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 06.05.2025
 * @author 
 */

public class Kunde {
  
  // Anfang Attribute
  private int kundenummer;
  private ArrayList<Konto> kundeKonten = new ArrayList();
  private String name;
  // Ende Attribute
  
  public Kunde(String name, int kundenummer) {
    this.kundenummer = kundenummer;
    this.name = name;
  }

  // Anfang Methoden
  public int getKundenummer() {
    return kundenummer;
  }

  public void setKundenummer(int kundenummerNeu) {
    kundenummer = kundenummerNeu;
  }

  public ArrayList<Konto> getKundeKonto() {
    return this.kundeKonten;
  }

  public void setKundeKonten(ArrayList<Konto> kundeKontenNeu) {
    this.kundeKonten = kundeKontenNeu;
  }
  public void setKundeKonto(Konto neuKonto, int index ) {
    this.kundeKonten.add(index,neuKonto);
    
  }
  public Konto getKundeKonto(int index ) {
    return this.kundeKonten.get(index);
    
  }
  public String getName() {
    return name;
  }
  
  public void setName(String nameNeu) {
    name = nameNeu;
  }
  
  public void uebersichtKonten() {
    System.out.println("----------------------------");
    for (int i = 0; i < this.getKundeKonto().size(); i++) {
      System.out.println(this.getKundeKonto(i).getKontonr());
      System.out.println(this.getKundeKonto(i).getKontostand());
      System.out.println("----------------------------"); 
    }
    
  }
  public void anzahlKonten() {
     System.out.println("----------------------------");
    System.out.println("Sie haben: " + this.getKundeKonto().size() + " Konten");
    System.out.println("----------------------------");
    
  }
  // Ende Methoden
} // end of Kunde
